/* .animation__rotate360
--------------------------------------------- */
.swiper-slide-active .animation__rotate360 {animation: rotate 10s linear infinite;}
@-webkit-keyframes rotate {
  from {-webkit-transform: rotate(0deg);}
  to {-webkit-transform: rotate(360deg);}
}
@keyframes rotate {
  from {transform: rotate(0deg);}
  to {transform: rotate(360deg);}
}


/* .animation__arrowRight
--------------------------------------------- */
.swiper-slide-active .animation__arrowRight {animation: slideRight 2s infinite;}
@keyframes slideRight {
  0% {opacity: 0; transform: translate3d(-20px, 0,0);}
  50% {opacity: 1;}
  100% {opacity: 0;transform: translate3d(20px, 0,0);}
}


/* .animation__slideTitle
--------------------------------------------- */
@-webkit-keyframes slideTitle-left {
  from {opacity: 0;-webkit-transform: translate3d(-50%, 0, 0);}
  to {opacity: 1;-webkit-transform: translateZ(0);}
}
@keyframes slideTitle-left {
  from {opacity: 0;transform: translate3d(-50%, 0, 0);}
  to {opacity: 1;transform: translateZ(0);}
}
@-webkit-keyframes slideTitle-right {
  from {opacity: 0;-webkit-transform: translate3d(50%, 0, 0);}
  to {opacity: 1;-webkit-transform: translateZ(0);}
}
@keyframes slideTitle-right {
  from {opacity: 0;transform: translate3d(50%, 0, 0);}
  to {opacity: 1;transform: translateZ(0);}
}
@media (min-width:992px) {
  .animation__slideTitle span {
    -webkit-animation-duration: 1s; animation-duration: 1s;
    -webkit-animation-fill-mode: both; animation-fill-mode: both;
    -webkit-animation-delay: 0.75s !important;animation-delay: 0.75s !important;
  }
  .swiper-slide-active .animation__slideTitle span:nth-child(1) {-webkit-animation-name: slideTitle-left; animation-name: slideTitle-left;}
  .swiper-slide-active .animation__slideTitle span:nth-child(2) {-webkit-animation-name: slideTitle-right; animation-name: slideTitle-right;}
  .swiper-slide-active .animation__slideTitle span:nth-child(3) {-webkit-animation-name: slideTitle-left; animation-name: slideTitle-left;}
  .swiper-slide-active .animation__slideTitle span:nth-child(4) {-webkit-animation-name: slideTitle-right; animation-name: slideTitle-right;}
}


/* .animation__fadeUp
--------------------------------------------- */
@-webkit-keyframes fadeUp {
  from {opacity: 0;-webkit-transform: translate3d(0, 50%, 0);}
  to {opacity: 1;-webkit-transform: translateZ(0);}
}
@keyframes fadeUp {
  from {opacity: 0;transform: translate3d(0, 50%, 0);}
  to {transform: translateZ(0);opacity: 1;}
}
@media (min-width:992px) {
  .animation__fadeUp {
    -webkit-animation-duration: 1s; animation-duration: 1s;
    -webkit-animation-fill-mode: both; animation-fill-mode: both;
    -webkit-animation-delay: 0.75s !important;animation-delay: 0.75s !important;
  }
  .swiper-slide-active .animation__fadeUp {
    -webkit-animation-name: fadeUp; animation-name: fadeUp;
    -webkit-animation-duration: 1s !important;animation-duration: 1s !important
  }
}


/* .animation__fadeRight
--------------------------------------------- */
@-webkit-keyframes fadeRight {
  from {opacity: 0;-webkit-transform: translate3d(50%, 0, 0);}
  to {opacity: 1;-webkit-transform: translateZ(0);}
}
@keyframes fadeRight {
  from {opacity: 0;transform: translate3d(50%, 0, 0);}
  to {transform: translateZ(0);opacity: 1;}
}
@media (min-width:992px) {
  .animation__fadeRight {
    -webkit-animation-duration: 1s; animation-duration: 1s;
    -webkit-animation-fill-mode: both; animation-fill-mode: both;
    -webkit-animation-delay: 0.75s !important;animation-delay: 0.75s !important;
  }
  .swiper-slide-active .animation__fadeRight {
    -webkit-animation-name: fadeRight; animation-name: fadeRight;
    -webkit-animation-duration: 1s !important;animation-duration: 1s !important
  }
}


/* .animation__fadeLeft
--------------------------------------------- */
@-webkit-keyframes fadeLeft {
  from {opacity: 0;-webkit-transform: translate3d(-50%, 0, 0);}
  to {opacity: 1;-webkit-transform: translateZ(0);}
}
@keyframes fadeLeft {
  from {opacity: 0;transform: translate3d(-50%, 0, 0);}
  to {transform: translateZ(0);opacity: 1;}
}
@media (min-width:992px) {
  .animation__fadeLeft {
    -webkit-animation-duration: 1s; animation-duration: 1s;
    -webkit-animation-fill-mode: both; animation-fill-mode: both;
    -webkit-animation-delay: 0.75s !important;animation-delay: 0.75s !important;
  }
  .swiper-slide-active .animation__fadeLeft {
    -webkit-animation-name: fadeLeft; animation-name: fadeLeft;
    -webkit-animation-duration: 1s !important;animation-duration: 1s !important
  }
}



/* .animation__flip
--------------------------------------------- */
@-webkit-keyframes flip {
  from {opacity: 0;-webkit-transform: perspective(2500px) rotateX(100deg);}
  to {opacity: 1; -webkit-transform: perspective(2500px) rotateX(0);}
}
@keyframes flip {
  from {opacity: 0;transform: perspective(2500px) rotateX(100deg);}
  to {opacity: 1; transform: perspective(2500px) rotateX(0);}
}
@media (min-width:992px) {
  .animation__flip {
    -webkit-animation-duration: 1s; animation-duration: 1s;
    -webkit-animation-fill-mode: both; animation-fill-mode: both;
    -webkit-animation-delay: 0.75s !important;animation-delay: 0.75s !important;
  }
  .swiper-slide-active .animation__flip {
    -webkit-animation-name: flip; animation-name: flip;
    -webkit-animation-duration: 1s !important;animation-duration: 1s !important;
  }
}


/* .animation__flip2
--------------------------------------------- */
@-webkit-keyframes flip2 {
  from {opacity: 0;-webkit-transform: perspective(2500px) rotateY(-100deg);;}
  to {opacity: 1; -webkit-transform: perspective(2500px) rotateY(0);}
}
@keyframes flip2 {
  from {opacity: 0;transform: perspective(2500px) rotateY(-100deg);}
  to {opacity: 1; transform: perspective(2500px) rotateY(0);}
}
@media (min-width:992px) {
  .animation__flip2 {
    -webkit-animation-duration: 1s; animation-duration: 1s;
    -webkit-animation-fill-mode: both; animation-fill-mode: both;
    -webkit-animation-delay: 0.75s !important;animation-delay: 0.75s !important;
  }
  .swiper-slide-active .animation__flip2 {
    -webkit-animation-name: flip2; animation-name: flip2;
    -webkit-animation-duration: 1s !important;animation-duration: 1s !important;
  }
}


/* .animation__zoom
--------------------------------------------- */
@-webkit-keyframes zoom {
  from {-webkit-transform: scale(.5);opacity: 0;}
  to {-webkit-transform: scale(1);opacity:1;}
}
@keyframes zoom {
  from {transform: scale(.5);opacity: 0;}
  to {transform: scale(1);opacity:1;}
}
.first__media:before, .first__media:after {
  -webkit-animation-duration: 1s; animation-duration: 1s;
  -webkit-animation-fill-mode: both; animation-fill-mode: both;
  -webkit-animation-delay: 0.75s !important;animation-delay: 0.75s !important;
}
.swiper-slide-active .first__media:before, .swiper-slide-active .first__media:after {
  -webkit-animation-name: zoom; animation-name: zoom;
  -webkit-animation-duration: 1.5s !important;animation-duration: 1.5s !important
}
.swiper-slide-active .first__media:after {animation-delay: 0.5s;}



/* .animation__zoom
--------------------------------------------- */
@-webkit-keyframes zoomIn {
  from {-webkit-transform: scale(2);opacity: 0;}
  to {-webkit-transform: scale(1);opacity:1;}
}
@keyframes zoomIn {
  from {transform: scale(2);opacity: 0;}
  to {transform: scale(1);opacity:1;}
}
.animation__zoomIn {
  -webkit-animation-duration: 1.25s; animation-duration: 1.25s;
  -webkit-animation-fill-mode: both; animation-fill-mode: both;
  -webkit-animation-delay: 0.75s !important;animation-delay: 0.75s !important;
}
.swiper-slide-active .animation__zoomIn {
  -webkit-animation-name: zoomIn; animation-name: zoomIn;
  -webkit-animation-duration: 1.5s !important;animation-duration: 1.5s !important
}


/* .delay
--------------------------------------------- */
.delay__xs {animation-delay: 0.25s !important;}
.delay__sm {animation-delay: 0.75s !important;}
.delay__md {animation-delay: 1s !important}
.delay__md2 {animation-delay: 1.13s !important}
.delay__lg {animation-delay: 1.25s !important;}
.delay__lg2 {animation-delay: 1.38s !important;}
.delay__xl {animation-delay: 1.5s !important;}
.delay__xxl {animation-delay: 1.75s !important;}
.delay__xxxl {animation-delay: 2s !important;}

